> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all knowledge

> List all knowledge entries and folders for the organization.



## OpenAPI

````yaml /v1-openapi.yaml GET /v1/knowledge
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge:
    get:
      summary: List all knowledge
      description: List all knowledge entries and folders for the organization.
      operationId: get_all_knowledge_v1_knowledge_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllKnowledgeResponse'
          description: Successful Response
components:
  schemas:
    AllKnowledgeResponse:
      properties:
        folders:
          items:
            $ref: '#/components/schemas/FolderResponse'
          title: Folders
          type: array
        knowledge:
          items:
            $ref: '#/components/schemas/KnowledgeResponse'
          title: Knowledge
          type: array
      required:
        - knowledge
        - folders
      title: AllKnowledgeResponse
      type: object
    FolderResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - description
        - created_at
      title: FolderResponse
      type: object
    KnowledgeResponse:
      properties:
        body:
          title: Body
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          anyOf:
            - $ref: '#/components/schemas/KnowledgeCreatedBy'
            - type: 'null'
        id:
          title: Id
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        parent_folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Folder Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger_description:
          title: Trigger Description
          type: string
      required:
        - name
        - body
        - trigger_description
        - id
        - created_at
      title: KnowledgeResponse
      type: object
    KnowledgeCreatedBy:
      description: Information about who created a knowledge entry.
      properties:
        full_name:
          title: Full Name
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      required:
        - full_name
      title: KnowledgeCreatedBy
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````